Name:           dxcc
Version:        20071210
Release:        1%{?dist}
Summary:        Small utility which determines the ARRL DXCC entity of a ham radio callsign

Group:          Applications/Communications
License:        GPLv2+
URL:            http://fkurz.net/ham/dxcc.html
Source0:        http://fkurz.net/ham/dxcc/%{name}-%{version}.tar.gz
#fix install path
Patch0:         dxcc-20071205-makefile.patch
#separate core and gui
Patch1:         dxcc-20071205-gui.patch

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
dxcc is a small utility which determines the ARRL DXCC entity of a ham radio
callsign, based on the cty.dat country file by Jim Reisert, AD1C. 

Optional GUI with a world map showing the DXCC's location available.

%package gui
Summary:       Optional GUI with a world map showing the DXCC's location
Group:         Applications/Communications
Requires:      %{name} = %{version}-%{release}
Requires:      perl(Tk)

%description gui
DXCC Graphical User Interface with a world map showing the DXCC's location

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/dxcc
%{_mandir}/man?/*
%{_datadir}/dxcc

%files gui
%doc COPYING
%{_bindir}/dxcc-gui


%changelog
* Mon Jan 07 2008 Robert 'Bob' Jensen - 20071210-1
- Version Update
* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 20071205-1
- Initial build
